Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001928KdenliveMLTpublic2010-12-18 22:102011-06-10 10:48
ReporterGranjow 
Assigned Toddennedy 
PriorityurgentSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.8 
Summary0001928: Crashes all time -- something is really wrong with current SVN
Description(or with my installation?)

I can hardly do anything at the moment. Playing a video in the timeline and then pressing pause leads to a crash (kdenlive continues playing and then freezes). Adding an effect to a clip and then playing it leads to a crash immediately when playing (but not when just changing the timeline cursor position).
Additional InformationApplication: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fa203dbd7a0 (LWP 16230))]

Thread 4 (Thread 0x7fa1e596b710 (LWP 16251)):
#0 pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1 0x00007fa1ff8e8dd2 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
0000002 0x00007fa1ff8dde01 in ?? () from /usr/lib/libQtCore.so.4
0000003 0x00007fa1ff8e7e15 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00007fa1fdc018ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
0000005 0x00007fa1fdee602d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000006 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fa1dab76710 (LWP 16272)):
#0 pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1 0x00007fa203ade8fa in mlt_consumer_get_frame (this=0x32a1a10) at mlt_consumer.c:528
0000002 0x00007fa203adea35 in mlt_consumer_rt_frame (this=0x32a1b2c) at mlt_consumer.c:926
0000003 0x00007fa1ed85741c in consumer_thread (arg=<value optimized out>) at consumer_sdl_still.c:570
0000004 0x00007fa1fdc018ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
0000005 0x00007fa1fdee602d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000006 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fa1da375710 (LWP 16273)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fa1ed856c87 in consumer_thread (arg=<value optimized out>) at consumer_sdl_preview.c:435
0000002 0x00007fa1fdc018ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
0000003 0x00007fa1fdee602d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000004 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fa203dbd7a0 (LWP 16230)):
[KCrash Handler]
0000005 0x00007fa203ad557f in mlt_properties_find (this=0x7fa203ae4573, name=0x7fa203ae4573 "", length=0x0) at mlt_properties.c:357
0000006 mlt_properties_get_data (this=0x7fa203ae4573, name=0x7fa203ae4573 "", length=0x0) at mlt_properties.c:890
0000007 0x00007fa203ad7e73 in mlt_events_listen (this=0x7fa203ae4573, service=0x8, id=0x34 <Address 0x34 out of bounds>, listener=0) at mlt_events.c:237
0000008 0x00007fa2038bd96f in Mlt::Properties::setup_wait_for(char const*) () from /usr/lib/libmlt++.so.3
0000009 0x00007fa2038bc430 in Mlt::Producer::set_speed(double) () from /usr/lib/libmlt++.so.3
0000010 0x00000000004bf588 in Render::switchPlay (this=0x2aa7b30) at /data/cworkspace/kdenlive.git/kdenlive/src/renderer.cpp:1234
0000011 0x00000000004b2ce7 in Monitor::slotPlay (this=0x2a91150) at /data/cworkspace/kdenlive.git/kdenlive/src/monitor.cpp:771
0000012 0x00000000005073e4 in MonitorManager::slotPlay (this=0x269fcf0) at /data/cworkspace/kdenlive.git/kdenlive/src/monitormanager.cpp:87
0000013 0x0000000000507b37 in MonitorManager::qt_metacall (this=0x269fcf0, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0x7fff791a3e10) at /data/cworkspace/kdenlive.git/kdenlive/qtcreator-build/src/cmake_bindir/monitormanager.moc:111
0000014 0x00007fa1ff9ea2e6 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000015 0x00007fa1feb16132 in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4
0000016 0x00007fa1feb181ab in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4
0000017 0x00007fa1feb19ab7 in QAction::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000018 0x00007fa202f109cd in KAction::event(QEvent*) () from /usr/lib/libkdeui.so.5
0000019 0x00007fa1feb1c32c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000020 0x00007fa1feb2280b in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000021 0x00007fa202fe57a6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000022 0x00007fa1ff9d709c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000023 0x00007fa1feb57f56 in ?? () from /usr/lib/libQtGui.so.4
0000024 0x00007fa1feb59d57 in ?? () from /usr/lib/libQtGui.so.4
0000025 0x00007fa1feb24368 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000026 0x00007fa202fe57a6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000027 0x00007fa1ff9d709c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000028 0x00007fa1febc6d6a in ?? () from /usr/lib/libQtGui.so.4
0000029 0x00007fa1febc92e1 in ?? () from /usr/lib/libQtGui.so.4
0000030 0x00007fa1feba0a34 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
0000031 0x00007fa1febcc5a2 in ?? () from /usr/lib/libQtGui.so.4
0000032 0x00007fa1f85956f2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
0000033 0x00007fa1f8599568 in ?? () from /lib/libglib-2.0.so.0
0000034 0x00007fa1f859971c in g_main_context_iteration () from /lib/libglib-2.0.so.0
0000035 0x00007fa1ffa006b3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000036 0x00007fa1febcc19e in ?? () from /usr/lib/libQtGui.so.4
0000037 0x00007fa1ff9d59c2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000038 0x00007fa1ff9d5d9c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000039 0x00007fa1ff9daa2b in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
0000040 0x000000000045b87f in main (argc=1, argv=0x7fff791a6048) at /data/cworkspace/kdenlive.git/kdenlive/src/main.cpp:90
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0006189)
Granjow (developer)
2010-12-19 12:08

I saw it freezing several times now after a call to m_mltProducer->set_speed(0.0); in renderer.cpp.


0 __pause_nocancel syscall-template.S 82 0x7ffff1cfe880
1 __pthread_mutex_lock_full pthread_mutex_lock.c 316 0x7ffff1cf8cd5
2 mlt_properties_inc_ref mlt_properties.c 228 0x7ffff7bca17d
3 Mlt::Properties::inc_ref() /usr/lib/libmlt++.so.3 0 0x7ffff79b1fef
4 Mlt::Consumer::Consumer(mlt_consumer_s*) /usr/lib/libmlt++.so.3 0 0x7ffff79aa7a5
5 Mlt::Producer::set_speed(double) /usr/lib/libmlt++.so.3 0 0x7ffff79b141d
6 Render::stop renderer.cpp 1191 0x4bf244
7 Monitor::stop monitor.cpp 726 0x4b2ae5
8 MonitorManager::activateMonitor monitormanager.cpp 57 0x50724c
9 MonitorManager::slotResetProfiles monitormanager.cpp 175 0x5078f1
10 MonitorManager::resetProfiles monitormanager.cpp 159 0x507793
11 MainWindow::connectDocument mainwindow.cpp 2417 0x47b2e5
12 MainWindow::activateDocument mainwindow.cpp 1857 0x4761b8
13 MainWindow::qt_metacall mainwindow.moc 375 0x4871d0
14 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) /usr/lib/libQtCore.so.4 0 0x7ffff3adf2e6
15 QTabWidget::currentChanged(int) /usr/lib/libQtGui.so.4 0 0x7ffff307c49e
16 ?? /usr/lib/libQtGui.so.4 0 0x7ffff307dd5d
17 QTabWidget::qt_metacall(QMetaObject::Call, int, void**) /usr/lib/libQtGui.so.4 0 0x7ffff307e010
18 KTabWidget::qt_metacall(QMetaObject::Call, int, void**) /usr/lib/libkdeui.so.5 0 0x7ffff71d5f55
19 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) /usr/lib/libQtCore.so.4 0 0x7ffff3adf2e6
20 QTabBar::currentChanged(int) /usr/lib/libQtGui.so.4 0 0x7ffff307317e
21 QTabBar::insertTab(int, QIcon const&, QString const&) /usr/lib/libQtGui.so.4 0 0x7ffff307b23a
22 QTabWidget::insertTab(int, QWidget*, QIcon const&, QString const&) /usr/lib/libQtGui.so.4 0 0x7ffff307daa8
23 MainWindow::doOpenFile mainwindow.cpp 2070 0x477b63
24 MainWindow::openFile mainwindow.cpp 2022 0x4775d3
25 MainWindow::qt_metacall mainwindow.moc 366 0x487050
26 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) /usr/lib/libQtCore.so.4 0 0x7ffff3adf2e6
27 KRecentFilesAction::urlSelected(KUrl const&) /usr/lib/libkdeui.so.5 0 0x7ffff700cd12
28 ?? /usr/lib/libkdeui.so.5 0 0x7ffff700d093
29 KRecentFilesAction::qt_metacall(QMetaObject::Call, int, void**) /usr/lib/libkdeui.so.5 0 0x7ffff700d143
30 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) /usr/lib/libQtCore.so.4 0 0x7ffff3adf2e6
31 KSelectAction::triggered(QAction*) /usr/lib/libkdeui.so.5 0 0x7ffff7010bef
32 KSelectAction::actionTriggered(QAction*) /usr/lib/libkdeui.so.5 0 0x7ffff7012529
33 KSelectAction::qt_metacall(QMetaObject::Call, int, void**) /usr/lib/libkdeui.so.5 0 0x7ffff70137f5
34 KRecentFilesAction::qt_metacall(QMetaObject::Call, int, void**) /usr/lib/libkdeui.so.5 0 0x7ffff700d0f5
35 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) /usr/lib/libQtCore.so.4 0 0x7ffff3adf2e6
36 QActionGroup::triggered(QAction*) /usr/lib/libQtGui.so.4 0 0x7ffff2c0fb3f
37 ?? /usr/lib/libQtGui.so.4 0 0x7ffff2c10347
38 QActionGroup::qt_metacall(QMetaObject::Call, int, void**) /usr/lib/libQtGui.so.4 0 0x7ffff2c105a1
39 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) /usr/lib/libQtCore.so.4 0 0x7ffff3adf2e6
40 QAction::triggered(bool) /usr/lib/libQtGui.so.4 0 0x7ffff2c0b132
41 QAction::activate(QAction::ActionEvent) /usr/lib/libQtGui.so.4 0 0x7ffff2c0d1ab
42 ?? /usr/lib/libQtGui.so.4 0 0x7ffff304c751
43 ?? /usr/lib/libQtGui.so.4 0 0x7ffff30522e2
44 KMenu::mouseReleaseEvent(QMouseEvent*) /usr/lib/libkdeui.so.5 0 0x7ffff71b682e
45 QWidget::event(QEvent*) /usr/lib/libQtGui.so.4 0 0x7ffff2c67632
46 QMenu::event(QEvent*) /usr/lib/libQtGui.so.4 0 0x7ffff30544db
47 QApplicationPrivate::notify_helper(QObject*, QEvent*) /usr/lib/libQtGui.so.4 0 0x7ffff2c1132c
48 QApplication::notify(QObject*, QEvent*) /usr/lib/libQtGui.so.4 0 0x7ffff2c17fdb
49 KApplication::notify(QObject*, QEvent*) /usr/lib/libkdeui.so.5 0 0x7ffff70da7a6
50 QCoreApplication::notifyInternal(QObject*, QEvent*) /usr/lib/libQtCore.so.4 0 0x7ffff3acc09c
51 QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) /usr/lib/libQtGui.so.4 0 0x7ffff2c171be
52 ?? /usr/lib/libQtGui.so.4 0 0x7ffff2c974fd
53 QApplication::x11ProcessEvent(_XEvent*) /usr/lib/libQtGui.so.4 0 0x7ffff2c959dc
54 ?? /usr/lib/libQtGui.so.4 0 0x7ffff2cc15a2
55 g_main_context_dispatch /lib/libglib-2.0.so.0 0 0x7fffec68a6f2
56 ?? /lib/libglib-2.0.so.0 0 0x7fffec68e568
57 g_main_context_iteration /lib/libglib-2.0.so.0 0 0x7fffec68e71c
58 QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) /usr/lib/libQtCore.so.4 0 0x7ffff3af56b3
59 ?? /usr/lib/libQtGui.so.4 0 0x7ffff2cc119e
60 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) /usr/lib/libQtCore.so.4 0 0x7ffff3aca9c2
61 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) /usr/lib/libQtCore.so.4 0 0x7ffff3acad9c
62 QCoreApplication::exec() /usr/lib/libQtCore.so.4 0 0x7ffff3acfa2b
63 main main.cpp 90 0x45b87f
(0006190)
Granjow (developer)
2010-12-19 12:11

I previously did a «make clean» on ffmpeg, mlt, frei0r, and kdenlive, and re-built all of them.
When running kdenlive in debug mode (qtcreator) I only have about half as many effects as when running it normally.


Application: Kdenlive (kdenlive), signal: Segmentation fault
__lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:136
    in ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S
[Current thread is 1 (Thread 0x7fd3ecde27a0 (LWP 29335))]

Thread 5 (Thread 0x7fd3c76d2710 (LWP 29348)):
#0 pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1 0x00007fd3e890ddd2 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
0000002 0x00007fd3e8902e01 in ?? () from /usr/lib/libQtCore.so.4
0000003 0x00007fd3e890ce15 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00007fd3e6c268ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
0000005 0x00007fd3e6f0b02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000006 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fd3c6ed1710 (LWP 29349)):
#0 pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1 0x00007fd3e890ddd2 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
0000002 0x00007fd3e8902e01 in ?? () from /usr/lib/libQtCore.so.4
0000003 0x00007fd3e890ce15 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00007fd3e6c268ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
0000005 0x00007fd3e6f0b02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000006 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fd3c582d710 (LWP 29352)):
[KCrash Handler]
0000005 display_4 (arg=<value optimized out>) at consumer_sdl_still.c:378
0000006 consumer_play_video (arg=<value optimized out>) at consumer_sdl_still.c:530
0000007 consumer_thread (arg=<value optimized out>) at consumer_sdl_still.c:577
0000008 0x00007fd3e6c268ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
0000009 0x00007fd3e6f0b02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000010 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fd3c602e710 (LWP 29353)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fd3d687bc87 in consumer_thread (arg=<value optimized out>) at consumer_sdl_preview.c:435
0000002 0x00007fd3e6c268ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
0000003 0x00007fd3e6f0b02d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000004 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fd3ecde27a0 (LWP 29335)):
#0 __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:136
#1 0x00007fd3e6c290e9 in _L_lock_953 () from /lib/libpthread.so.0
0000002 0x00007fd3e6c28f0b in __pthread_mutex_lock (mutex=0x7fd3ecd0ec40) at pthread_mutex_lock.c:61
0000003 0x00007fd3d687b2ff in consumer_stop (parent=<value optimized out>) at consumer_sdl_preview.c:258
0000004 0x00007fd3ecb033f2 in mlt_consumer_stop (this=0x1d81320) at mlt_consumer.c:971
0000005 0x00007fd3ec8daa35 in Mlt::Consumer::stop() () from /usr/lib/libmlt++.so.3
0000006 0x00000000004bf177 in Render::stop (this=0x1113d70) at /data/cworkspace/kdenlive.git/kdenlive/src/renderer.cpp:1182
0000007 0x00000000004b2ae5 in Monitor::stop (this=0x109cf10) at /data/cworkspace/kdenlive.git/kdenlive/src/monitor.cpp:726
0000008 0x000000000050727f in MonitorManager::activateMonitor (this=0xd37900, name=...) at /data/cworkspace/kdenlive.git/kdenlive/src/monitormanager.cpp:61
0000009 0x0000000000507880 in MonitorManager::slotResetProfiles (this=0xd37900) at /data/cworkspace/kdenlive.git/kdenlive/src/monitormanager.cpp:171
0000010 0x0000000000507793 in MonitorManager::resetProfiles (this=0xd37900, tc=...) at /data/cworkspace/kdenlive.git/kdenlive/src/monitormanager.cpp:159
0000011 0x000000000047b2e5 in MainWindow::connectDocument (this=0xbadfb0, trackView=0x197a620, doc=0x7fd3c8163ef0) at /data/cworkspace/kdenlive.git/kdenlive/src/mainwindow.cpp:2417
0000012 0x00000000004761b8 in MainWindow::activateDocument (this=0xbadfb0) at /data/cworkspace/kdenlive.git/kdenlive/src/mainwindow.cpp:1857
0000013 0x00000000004871d0 in MainWindow::qt_metacall (this=0xbadfb0, _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0x7fffbef526e0) at /data/cworkspace/kdenlive.git/kdenlive/qtcreator-build/src/cmake_bindir/mainwindow.moc:375
0000014 0x00007fd3e8a0f2e6 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000015 0x00007fd3e7fac49e in QTabWidget::currentChanged(int) () from /usr/lib/libQtGui.so.4
0000016 0x00007fd3e7fadd5d in ?? () from /usr/lib/libQtGui.so.4
0000017 0x00007fd3e7fae010 in QTabWidget::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4
0000018 0x00007fd3ec105f55 in KTabWidget::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkdeui.so.5
0000019 0x00007fd3e8a0f2e6 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000020 0x00007fd3e7fa317e in QTabBar::currentChanged(int) () from /usr/lib/libQtGui.so.4
0000021 0x00007fd3e7fab23a in QTabBar::insertTab(int, QIcon const&, QString const&) () from /usr/lib/libQtGui.so.4
0000022 0x00007fd3e7fadaa8 in QTabWidget::insertTab(int, QWidget*, QIcon const&, QString const&) () from /usr/lib/libQtGui.so.4
0000023 0x0000000000477b63 in MainWindow::doOpenFile (this=0xbadfb0, url=..., stale=0x16826a0) at /data/cworkspace/kdenlive.git/kdenlive/src/mainwindow.cpp:2070
0000024 0x00000000004775d3 in MainWindow::openFile (this=0xbadfb0, url=...) at /data/cworkspace/kdenlive.git/kdenlive/src/mainwindow.cpp:2022
0000025 0x0000000000487050 in MainWindow::qt_metacall (this=0xbadfb0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7fffbef53180) at /data/cworkspace/kdenlive.git/kdenlive/qtcreator-build/src/cmake_bindir/mainwindow.moc:366
0000026 0x00007fd3e8a0f2e6 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000027 0x00007fd3ebf3cd12 in KRecentFilesAction::urlSelected(KUrl const&) () from /usr/lib/libkdeui.so.5
0000028 0x00007fd3ebf3d093 in ?? () from /usr/lib/libkdeui.so.5
0000029 0x00007fd3ebf3d143 in KRecentFilesAction::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkdeui.so.5
0000030 0x00007fd3e8a0f2e6 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000031 0x00007fd3ebf40bef in KSelectAction::triggered(QAction*) () from /usr/lib/libkdeui.so.5
0000032 0x00007fd3ebf42529 in KSelectAction::actionTriggered(QAction*) () from /usr/lib/libkdeui.so.5
0000033 0x00007fd3ebf437f5 in KSelectAction::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkdeui.so.5
0000034 0x00007fd3ebf3d0f5 in KRecentFilesAction::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkdeui.so.5
0000035 0x00007fd3e8a0f2e6 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000036 0x00007fd3e7b3fb3f in QActionGroup::triggered(QAction*) () from /usr/lib/libQtGui.so.4
0000037 0x00007fd3e7b40347 in ?? () from /usr/lib/libQtGui.so.4
0000038 0x00007fd3e7b405a1 in QActionGroup::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4
0000039 0x00007fd3e8a0f2e6 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000040 0x00007fd3e7b3b132 in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4
0000041 0x00007fd3e7b3d1ab in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4
0000042 0x00007fd3e7f7c751 in ?? () from /usr/lib/libQtGui.so.4
0000043 0x00007fd3e7f822e2 in ?? () from /usr/lib/libQtGui.so.4
0000044 0x00007fd3ec0e682e in KMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libkdeui.so.5
0000045 0x00007fd3e7b97632 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000046 0x00007fd3e7f844db in QMenu::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000047 0x00007fd3e7b4132c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000048 0x00007fd3e7b47fdb in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000049 0x00007fd3ec00a7a6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000050 0x00007fd3e89fc09c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000051 0x00007fd3e7b471be in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
0000052 0x00007fd3e7bc74fd in ?? () from /usr/lib/libQtGui.so.4
0000053 0x00007fd3e7bc59dc in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
0000054 0x00007fd3e7bf15a2 in ?? () from /usr/lib/libQtGui.so.4
0000055 0x00007fd3e15ba6f2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
0000056 0x00007fd3e15be568 in ?? () from /lib/libglib-2.0.so.0
0000057 0x00007fd3e15be71c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#58 0x00007fd3e8a256b3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000059 0x00007fd3e7bf119e in ?? () from /usr/lib/libQtGui.so.4
0000060 0x00007fd3e89fa9c2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000061 0x00007fd3e89fad9c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000062 0x00007fd3e89ffa2b in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
0000063 0x000000000045b87f in main (argc=1, argv=0x7fffbef55638) at /data/cworkspace/kdenlive.git/kdenlive/src/main.cpp:90
(0006191)
Granjow (developer)
2010-12-19 13:30

When moving the cursor on the timeline with an effect applied to a clip:

Application: Kdenlive (kdenlive), signal: Aborted
__lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
    in ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S
[Current thread is 1 (Thread 0x7fae7dfba7a0 (LWP 11118))]

Thread 5 (Thread 0x7fae577fe710 (LWP 11143)):
[KCrash Handler]
0000005 0x00007fae78046165 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
0000006 0x00007fae78048f70 in abort () at abort.c:92
0000007 0x00007fae7807c27b in __libc_message (do_abort=<value optimized out>, fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
0000008 0x00007fae78085ad6 in malloc_printerr (action=3, str=0x7fae78139b75 "free(): invalid pointer", ptr=<value optimized out>) at malloc.c:6267
0000009 0x00007fae7808a84c in __libc_free (mem=<value optimized out>) at malloc.c:3739
0000010 0x00007fae7dfcca6b in ?? () from /usr/lib/tls/libnvidia-tls.so.1
0000011 0x00007fae7dce0bef in cache_object_close (cache=0x23053b0, object=<value optimized out>, data=0x0) at mlt_cache.c:131
0000012 0x00007fae7dce0cdf in mlt_cache_put (cache=0x23053b0, object=0x31d, data=0x7fae592c0230, size=<value optimized out>, destructor=<value optimized out>) at mlt_cache.c:382
0000013 0x00007fae65edc5dc in producer_get_image (frame=0x7fae4c42f520, buffer=<value optimized out>, format=<value optimized out>, width=<value optimized out>, height=<value optimized out>, writable=<value optimized out>) at producer_avformat.c:1382
0000014 0x00007fae7dcceeba in mlt_frame_get_image (this=0x7fae4c42f520, buffer=0x7fae577fddf8, format=0x7fae577fde0c, width=0x7fae577fd9dc, height=0x7fae577fd9d8, writable=<value optimized out>) at mlt_frame.c:389
0000015 0x00007fae6cc6257d in filter_get_image (this=0x7fae4c42f520, image=<value optimized out>, format=0x7fae577fde0c, width=0x7fae577fd9dc, height=0x7fae577fd9d8, writable=0) at filter_crop.c:76
0000016 0x00007fae7dcceeba in mlt_frame_get_image (this=0x7fae4c42f520, buffer=0x7fae577fddf8, format=0x7fae577fde0c, width=0x7fae577fd9dc, height=0x7fae577fd9d8, writable=<value optimized out>) at mlt_frame.c:389
0000017 0x00007fae616ba0a6 in filter_get_image (this=0x7fae4c42f520, image=<value optimized out>, format=0x7fae577fde0c, width=<value optimized out>, height=<value optimized out>, writable=0) at filter_deinterlace.c:191
0000018 0x00007fae7dcceeba in mlt_frame_get_image (this=0x7fae4c42f520, buffer=0x7fae577fddf8, format=0x7fae577fde0c, width=0x7fae577fd9dc, height=0x7fae577fd9d8, writable=<value optimized out>) at mlt_frame.c:389
0000019 0x00007fae6cc677b4 in filter_get_image (this=0x7fae4c42f520, image=0x7fae577fddf8, format=<value optimized out>, width=0x7fae577fdafc, height=0x7fae577fdaf8, writable=<value optimized out>) at filter_rescale.c:218
0000020 0x00007fae7dcceeba in mlt_frame_get_image (this=0x7fae4c42f520, buffer=0x7fae577fddf8, format=0x7fae577fde0c, width=0x7fae577fdafc, height=0x7fae577fdaf8, writable=<value optimized out>) at mlt_frame.c:389
0000021 0x00007fae6cc67cb5 in filter_get_image (this=0x7fae4c42f520, image=0x7fae577fddf8, format=0x7fae577fde0c, width=0x7fae577fde04, height=0x7fae577fde08, writable=0) at filter_resize.c:267
0000022 0x00007fae7dcceeba in mlt_frame_get_image (this=0x7fae4c42f520, buffer=0x7fae577fddf8, format=0x7fae577fde0c, width=0x7fae577fde04, height=0x7fae577fde08, writable=<value optimized out>) at mlt_frame.c:389
0000023 0x00007fae660e6554 in filter_get_image (this=0x7fae4c42f520, image=0x7fae577fddf8, format=0x7fae577fde0c, width=0x7fae577fde04, height=0x7fae577fde08, writable=<value optimized out>) at filter_frei0r.c:31
0000024 0x00007fae7dcceeba in mlt_frame_get_image (this=0x7fae4c42f520, buffer=0x7fae577fddf8, format=0x7fae577fde0c, width=0x7fae577fde04, height=0x7fae577fde08, writable=<value optimized out>) at mlt_frame.c:389
0000025 0x00007fae7dcde56b in producer_get_image (this=0x7fae4c42fd40, buffer=0x7fae577fddf8, format=0x7fae577fde0c, width=0x7fae577fde04, height=0x7fae577fde08, writable=<value optimized out>) at mlt_tractor.c:275
0000026 0x00007fae7dcceeba in mlt_frame_get_image (this=0x7fae4c42fd40, buffer=0x7fae577fddf8, format=0x7fae577fde0c, width=0x7fae577fde04, height=0x7fae577fde08, writable=<value optimized out>) at mlt_frame.c:389
0000027 0x00007fae67a546af in consumer_play_video (arg=<value optimized out>) at consumer_sdl_still.c:477
0000028 consumer_thread (arg=<value optimized out>) at consumer_sdl_still.c:577
0000029 0x00007fae77dfe8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
0000030 0x00007fae780e302d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000031 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fae56ffd710 (LWP 11144)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1 0x00007fae67a53c87 in consumer_thread (arg=<value optimized out>) at consumer_sdl_preview.c:435
0000002 0x00007fae77dfe8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
0000003 0x00007fae780e302d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000004 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fae57fff710 (LWP 11179)):
#0 pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1 0x00007fae79ae5dd2 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
0000002 0x00007fae79adae01 in ?? () from /usr/lib/libQtCore.so.4
0000003 0x00007fae79ae4e15 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00007fae77dfe8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
0000005 0x00007fae780e302d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000006 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fae5cf0b710 (LWP 11180)):
#0 pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1 0x00007fae79ae5dd2 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
0000002 0x00007fae79adae01 in ?? () from /usr/lib/libQtCore.so.4
0000003 0x00007fae79ae4e15 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00007fae77dfe8ba in start_thread (arg=<value optimized out>) at pthread_create.c:300
0000005 0x00007fae780e302d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000006 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fae7dfba7a0 (LWP 11118)):
#0 __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1 0x00007fae7808c458 in _L_lock_9590 () from /lib/libc.so.6
0000002 0x00007fae7808a841 in __libc_free (mem=0x7fae78370e40) at malloc.c:3737
0000003 0x00007fae7dfcca6b in ?? () from /usr/lib/tls/libnvidia-tls.so.1
0000004 0x00007fae79bfdb21 in ?? () from /usr/lib/libQtCore.so.4
0000005 0x00007fae7279592a in g_main_context_check () from /lib/libglib-2.0.so.0
0000006 0x00007fae727962e3 in ?? () from /lib/libglib-2.0.so.0
0000007 0x00007fae7279671c in g_main_context_iteration () from /lib/libglib-2.0.so.0
0000008 0x00007fae79bfd6b3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000009 0x00007fae78dc919e in ?? () from /usr/lib/libQtGui.so.4
0000010 0x00007fae79bd29c2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000011 0x00007fae79bd2d9c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000012 0x00007fae79bd7a2b in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
0000013 0x000000000045b87f in main (argc=1, argv=0x7fffcdf2b948) at /data/cworkspace/kdenlive.git/kdenlive/src/main.cpp:90
(0006192)
Granjow (developer)
2010-12-19 13:33

(by the way, rendering works fine. So it cannot be a problem with the effect, I think.)
(0006193)
ttill (developer)
2010-12-19 20:55

I also have these problems.
They are caused by the latest MLT commits regarding set_speed and have nothing to do with effects.
(0006194)
Granjow (developer)
2010-12-19 21:37

Ah. Much better after switching to 096fc370a88f66ddf7df05cde338080abb5e724e (Dec 9).

@Dan are you inmidst of work at this areas or should they work? If yes, can I do something that helps finding the bug?
(0006271)
ttill (developer)
2011-01-03 18:51

Fixed for me.
(0006284)
Granjow (developer)
2011-01-04 09:09

Working here as well again.

- Issue History
Date Modified Username Field Change
2010-12-18 22:10 Granjow New Issue
2010-12-19 12:08 Granjow Note Added: 0006189
2010-12-19 12:11 Granjow Note Added: 0006190
2010-12-19 13:30 Granjow Note Added: 0006191
2010-12-19 13:33 Granjow Note Added: 0006192
2010-12-19 20:55 ttill Note Added: 0006193
2010-12-19 20:55 ttill Category Effects => MLT
2010-12-19 21:37 Granjow Note Added: 0006194
2011-01-03 18:51 ttill Note Added: 0006271
2011-01-04 09:09 Granjow Note Added: 0006284
2011-01-04 09:09 Granjow Status new => resolved
2011-01-04 09:09 Granjow Fixed in Version => Recent git
2011-01-04 09:09 Granjow Resolution open => fixed
2011-01-04 09:09 Granjow Assigned To => ddennedy
2011-04-26 21:58 j-b-m Fixed in Version Recent git => 0.8
2011-06-10 10:48 Granjow Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker